XmTextGetSelectionPosition(library call)

NAME
XmTextGetSelectionPosition — A Text function that accesses the position of the primary selection

SYNOPSIS

#include <Xm/Text.h>
Boolean XmTextGetSelectionPosition(
Widget widget,
XmTextPosition *left,
XmTextPosition *right);

DESCRIPTION

XmTextGetSelectionPosition accesses the left and right position of the primary selection in the text buffer of the Text widget.

widget
    Specifies the Text widget ID

left
    Specifies the pointer in which the position of the left boundary of the primary selection is returned. This is an integer number of characters from the beginning of the buffer. The first character position is 0 (zero).

right
    Specifies the pointer in which the position of the right boundary of the primary selection is returned. This is an integer number of characters from the beginning of the buffer. The first character position is 0 (zero).

For a complete definition of Text and its associated resources, see XmText(3).

RETURN

This function returns True if the widget owns the primary selection; otherwise, it returns False.

RELATED

XmText(3).